%undefine __find_provides
%undefine __find_requires

Summary: Bluemail email client 
Name: bluemail
Version: 1.137.2
Release: %mkrel 1
License: Proprietary
Group: Networking/Mail
URL: https://www.bluemail.me/download/
Vendor: Bluemail Inc.
Source0: bluemail.desktop
Source1: bluemail.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: squashfs-tools sd
AutoReqProv: no

%description
BlueMail email client.

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot
mkdir -p %buildroot/opt
mkdir -p %buildroot/usr/bin
mkdir -p %buildroot/opt/BlueMail

pushd $RPM_SOURCE_DIR
wget -nc https://api.snapcraft.io/api/v1/snaps/download/ZVlj0qw0GOFd5JgTfL8kk2Y5eIG1IpiH_166.snap

# extract data from the snap package
unsquashfs -f -d %buildroot/opt/BlueMail ZVlj0qw0GOFd5JgTfL8kk2Y5eIG1IpiH_166.snap

# extract data from the deb package
#ar p $RPM_SOURCE_DIR/BlueMail.deb data.tar.xz | xz -d -9 | tar x -C %buildroot

chmod 755 %buildroot/opt/BlueMail
ln -sf /opt/BlueMail/bluemail %buildroot/usr/bin/bluemail

#sd "Office" "Network" %buildroot/usr/share/applications/bluemail.desktop
install -Dm 0755 %SOURCE0 %buildroot/%{_datadir}/applications/bluemail.desktop
install -Dm 0755 %SOURCE1 %buildroot/%{_datadir}/pixmaps/bluemail.png

# Cleanup snap vendor files and useless files
rm %buildroot/opt/BlueMail/libEGL.so
rm %buildroot/opt/BlueMail/libGLESv2.so

popd

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
/opt/BlueMail
%{_bindir}
%{_datadir}


%changelog
* Sun Jul 09 2023 tex - 1.137.2-1pclos2023
- new version

* Wed Dec 28 2022 tex - 1.131.26-1pclos2022
- new version from snap pkg

* Mon Sep 26 2022 tex - 1.131.20-1pclos2022
- new version

* Fri Nov 12 2021 tex - 1.1.119-1pclos2021
- new version

* Wed Jun 16 2021 tex - 1.1.99-1pclos2021
- new version

* Tue May 25 2021 tex - 1.1.92-1pclos2021
- new version

* Mon Mar 01 2021 tex - 1.1.63-1pclos2021
- update

* Mon Dec 28 2020 tex - 1.1.54-1pclos2020
- create pkg
